using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

using Core.XgMes.Client.StorageBase;

namespace Core.XgMes.Client.JGKC.SteelPlateManager
{
	/// <summary>
	/// 中板成品发运综合查询，查询条件设置控件
	/// </summary>
	public class UCSendQuery : System.Windows.Forms.UserControl
	{
		#region "Varible"
		private Infragistics.Win.Misc.UltraLabel ultraLabel1;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_SendDate;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_SendBegin;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_SendEnd;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_BookInEnd;
		private Infragistics.Win.Misc.UltraLabel ultraLabel2;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_BookInBegin;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_BookInDate;
		private Infragistics.Win.Misc.UltraLabel ultraLabel3;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_ListCode;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_IncpName;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_IncpName;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_StationName;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_StationName;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_PactNO;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_PactNO;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_LengthEnd;
		private Infragistics.Win.Misc.UltraLabel ultraLabel4;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_LenghtBegin;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Length;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_WidthEnd;
		private Infragistics.Win.Misc.UltraLabel ultraLabel5;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_WidthBegin;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Width;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_PlyEnd;
		private Infragistics.Win.Misc.UltraLabel ultraLabel6;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_PlyBegin;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Ply;
		private Infragistics.Win.Misc.UltraLabel ultraLabel7;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_RollNum;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_PlanNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PlanNO;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_VecihleNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_ClassTeam;
		private Infragistics.Win.UltraWinGrid.UltraCombo Cmb_ClassTeam;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_SendMan;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_SendMan;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_SteelName;
		private Infragistics.Win.UltraWinGrid.UltraCombo Cmb_SteelName;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_ListCodingEnd;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_ListCodingBegin;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_ListCodingTop;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_RollNOEnd;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_RollNOBegin;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_RollNOTop;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_VecihleNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_BookInMan;
        private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_BookInMan;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_Condole;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor Txt_Condole;
		#endregion

        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PL;
        private Infragistics.Win.UltraWinEditors.UltraComboEditor cmb_ProductLine;
        private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Date_XCSJE;
        private Infragistics.Win.Misc.UltraLabel ultraLabel8;
        private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Date_XCSJS;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_XCSJ;
		/// <summary> 
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public UCSendQuery()
		{
			// 该调用是 Windows.Forms 窗体设计器所必需的。
			InitializeComponent();

			// TODO: 在 InitializeComponent 调用后添加任何初始化

		}

		/// <summary> 
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region 组件设计器生成的代码
		/// <summary> 
		/// 设计器支持所需的方法 - 不要使用代码编辑器 
		/// 修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance4 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance5 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance6 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance7 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance8 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance9 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance10 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance11 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance12 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance13 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance14 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance15 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance16 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance17 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance18 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance19 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance20 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance21 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance22 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance23 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance24 = new Infragistics.Win.Appearance();
            Infragistics.Win.ValueListItem valueListItem1 = new Infragistics.Win.ValueListItem();
            Infragistics.Win.ValueListItem valueListItem2 = new Infragistics.Win.ValueListItem();
            this.Chk_SendDate = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Dte_SendBegin = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.ultraLabel1 = new Infragistics.Win.Misc.UltraLabel();
            this.Dte_SendEnd = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.Dte_BookInEnd = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.ultraLabel2 = new Infragistics.Win.Misc.UltraLabel();
            this.Dte_BookInBegin = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.Chk_BookInDate = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_ListCode = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_ListCodingEnd = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.ultraLabel3 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_ListCodingBegin = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.txt_ListCodingTop = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_IncpName = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_IncpName = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_StationName = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_StationName = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_PactNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PactNO = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.txt_LengthEnd = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.ultraLabel4 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_LenghtBegin = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.chk_Length = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_WidthEnd = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.ultraLabel5 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_WidthBegin = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.chk_Width = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PlyEnd = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.ultraLabel6 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_PlyBegin = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.chk_Ply = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_RollNOEnd = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.ultraLabel7 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_RollNOBegin = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.txt_RollNOTop = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_RollNum = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PlanNO = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_PlanNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_VecihleNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_VecihleNO = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_ClassTeam = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Cmb_ClassTeam = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.Chk_SendMan = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_SendMan = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_SteelName = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Cmb_SteelName = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.Chk_BookInMan = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_BookInMan = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_Condole = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Txt_Condole = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_PL = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.cmb_ProductLine = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
            this.Date_XCSJE = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.ultraLabel8 = new Infragistics.Win.Misc.UltraLabel();
            this.Date_XCSJS = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.chk_XCSJ = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_SendBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_SendEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_BookInEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_BookInBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ListCodingEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ListCodingBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ListCodingTop)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_IncpName)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_StationName)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PactNO)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LengthEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LenghtBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNOEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNOBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNOTop)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_VecihleNO)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Cmb_ClassTeam)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_SendMan)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Cmb_SteelName)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_BookInMan)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Txt_Condole)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_ProductLine)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Date_XCSJE)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Date_XCSJS)).BeginInit();
            this.SuspendLayout();
            // 
            // Chk_SendDate
            // 
            this.Chk_SendDate.BackColor = System.Drawing.Color.Transparent;
            this.Chk_SendDate.FlatMode = true;
            this.Chk_SendDate.Location = new System.Drawing.Point(6, 6);
            this.Chk_SendDate.Name = "Chk_SendDate";
            this.Chk_SendDate.Size = new System.Drawing.Size(74, 16);
            this.Chk_SendDate.TabIndex = 0;
            this.Chk_SendDate.Text = "发运日期";
            // 
            // Dte_SendBegin
            // 
            this.Dte_SendBegin.FlatMode = true;
            this.Dte_SendBegin.Location = new System.Drawing.Point(80, 4);
            this.Dte_SendBegin.MaskInput = "{date}";
            this.Dte_SendBegin.Name = "Dte_SendBegin";
            this.Dte_SendBegin.Size = new System.Drawing.Size(114, 19);
            this.Dte_SendBegin.TabIndex = 1;
            // 
            // ultraLabel1
            // 
            this.ultraLabel1.BackColor = System.Drawing.Color.Transparent;
            this.ultraLabel1.Location = new System.Drawing.Point(196, 8);
            this.ultraLabel1.Name = "ultraLabel1";
            this.ultraLabel1.Size = new System.Drawing.Size(16, 16);
            this.ultraLabel1.TabIndex = 2;
            this.ultraLabel1.Text = "到";
            // 
            // Dte_SendEnd
            // 
            this.Dte_SendEnd.FlatMode = true;
            this.Dte_SendEnd.Location = new System.Drawing.Point(214, 4);
            this.Dte_SendEnd.MaskInput = "{date}";
            this.Dte_SendEnd.Name = "Dte_SendEnd";
            this.Dte_SendEnd.Size = new System.Drawing.Size(114, 19);
            this.Dte_SendEnd.TabIndex = 3;
            // 
            // Dte_BookInEnd
            // 
            this.Dte_BookInEnd.FlatMode = true;
            this.Dte_BookInEnd.Location = new System.Drawing.Point(214, 29);
            this.Dte_BookInEnd.MaskInput = "{date}";
            this.Dte_BookInEnd.Name = "Dte_BookInEnd";
            this.Dte_BookInEnd.Size = new System.Drawing.Size(114, 19);
            this.Dte_BookInEnd.TabIndex = 7;
            // 
            // ultraLabel2
            // 
            this.ultraLabel2.BackColor = System.Drawing.Color.Transparent;
            this.ultraLabel2.Location = new System.Drawing.Point(196, 32);
            this.ultraLabel2.Name = "ultraLabel2";
            this.ultraLabel2.Size = new System.Drawing.Size(16, 16);
            this.ultraLabel2.TabIndex = 6;
            this.ultraLabel2.Text = "到";
            // 
            // Dte_BookInBegin
            // 
            this.Dte_BookInBegin.FlatMode = true;
            this.Dte_BookInBegin.Location = new System.Drawing.Point(80, 29);
            this.Dte_BookInBegin.MaskInput = "{date}";
            this.Dte_BookInBegin.Name = "Dte_BookInBegin";
            this.Dte_BookInBegin.Size = new System.Drawing.Size(114, 19);
            this.Dte_BookInBegin.TabIndex = 5;
            // 
            // Chk_BookInDate
            // 
            this.Chk_BookInDate.BackColor = System.Drawing.Color.Transparent;
            this.Chk_BookInDate.FlatMode = true;
            this.Chk_BookInDate.Location = new System.Drawing.Point(6, 30);
            this.Chk_BookInDate.Name = "Chk_BookInDate";
            this.Chk_BookInDate.Size = new System.Drawing.Size(74, 16);
            this.Chk_BookInDate.TabIndex = 4;
            this.Chk_BookInDate.Text = "登记日期";
            // 
            // Chk_ListCode
            // 
            this.Chk_ListCode.BackColor = System.Drawing.Color.Transparent;
            this.Chk_ListCode.FlatMode = true;
            this.Chk_ListCode.Location = new System.Drawing.Point(6, 81);
            this.Chk_ListCode.Name = "Chk_ListCode";
            this.Chk_ListCode.Size = new System.Drawing.Size(74, 16);
            this.Chk_ListCode.TabIndex = 57;
            this.Chk_ListCode.Text = "发货编号";
            // 
            // txt_ListCodingEnd
            // 
            this.txt_ListCodingEnd.AutoSize = true;
            this.txt_ListCodingEnd.FlatMode = true;
            this.txt_ListCodingEnd.Location = new System.Drawing.Point(214, 79);
            this.txt_ListCodingEnd.MaxLength = 6;
            this.txt_ListCodingEnd.Name = "txt_ListCodingEnd";
            this.txt_ListCodingEnd.Size = new System.Drawing.Size(114, 19);
            this.txt_ListCodingEnd.TabIndex = 61;
            // 
            // ultraLabel3
            // 
            this.ultraLabel3.BackColor = System.Drawing.Color.Transparent;
            this.ultraLabel3.Location = new System.Drawing.Point(196, 81);
            this.ultraLabel3.Name = "ultraLabel3";
            this.ultraLabel3.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel3.TabIndex = 60;
            this.ultraLabel3.Text = "到";
            // 
            // txt_ListCodingBegin
            // 
            this.txt_ListCodingBegin.AutoSize = true;
            this.txt_ListCodingBegin.FlatMode = true;
            this.txt_ListCodingBegin.Location = new System.Drawing.Point(112, 79);
            this.txt_ListCodingBegin.MaxLength = 6;
            this.txt_ListCodingBegin.Name = "txt_ListCodingBegin";
            this.txt_ListCodingBegin.Size = new System.Drawing.Size(82, 19);
            this.txt_ListCodingBegin.TabIndex = 59;
            // 
            // txt_ListCodingTop
            // 
            this.txt_ListCodingTop.AutoSize = true;
            this.txt_ListCodingTop.FlatMode = true;
            this.txt_ListCodingTop.Location = new System.Drawing.Point(80, 79);
            this.txt_ListCodingTop.Name = "txt_ListCodingTop";
            this.txt_ListCodingTop.Size = new System.Drawing.Size(32, 19);
            this.txt_ListCodingTop.TabIndex = 58;
            // 
            // Chk_IncpName
            // 
            this.Chk_IncpName.BackColor = System.Drawing.Color.Transparent;
            this.Chk_IncpName.FlatMode = true;
            this.Chk_IncpName.Location = new System.Drawing.Point(6, 129);
            this.Chk_IncpName.Name = "Chk_IncpName";
            this.Chk_IncpName.Size = new System.Drawing.Size(74, 16);
            this.Chk_IncpName.TabIndex = 62;
            this.Chk_IncpName.Text = "收货单位";
            // 
            // txt_IncpName
            // 
            this.txt_IncpName.AutoSize = true;
            this.txt_IncpName.FlatMode = true;
            this.txt_IncpName.Location = new System.Drawing.Point(80, 127);
            this.txt_IncpName.Name = "txt_IncpName";
            this.txt_IncpName.Size = new System.Drawing.Size(248, 19);
            this.txt_IncpName.TabIndex = 63;
            // 
            // Chk_StationName
            // 
            this.Chk_StationName.BackColor = System.Drawing.Color.Transparent;
            this.Chk_StationName.FlatMode = true;
            this.Chk_StationName.Location = new System.Drawing.Point(6, 151);
            this.Chk_StationName.Name = "Chk_StationName";
            this.Chk_StationName.Size = new System.Drawing.Size(46, 16);
            this.Chk_StationName.TabIndex = 64;
            this.Chk_StationName.Text = "到站";
            // 
            // txt_StationName
            // 
            this.txt_StationName.AutoSize = true;
            this.txt_StationName.FlatMode = true;
            this.txt_StationName.Location = new System.Drawing.Point(80, 150);
            this.txt_StationName.Name = "txt_StationName";
            this.txt_StationName.Size = new System.Drawing.Size(248, 19);
            this.txt_StationName.TabIndex = 65;
            // 
            // Chk_PactNO
            // 
            this.Chk_PactNO.BackColor = System.Drawing.Color.Transparent;
            this.Chk_PactNO.FlatMode = true;
            this.Chk_PactNO.Location = new System.Drawing.Point(6, 105);
            this.Chk_PactNO.Name = "Chk_PactNO";
            this.Chk_PactNO.Size = new System.Drawing.Size(74, 16);
            this.Chk_PactNO.TabIndex = 66;
            this.Chk_PactNO.Text = "合同号";
            // 
            // txt_PactNO
            // 
            this.txt_PactNO.AutoSize = true;
            this.txt_PactNO.FlatMode = true;
            this.txt_PactNO.Location = new System.Drawing.Point(80, 104);
            this.txt_PactNO.Name = "txt_PactNO";
            this.txt_PactNO.Size = new System.Drawing.Size(102, 19);
            this.txt_PactNO.TabIndex = 67;
            // 
            // txt_LengthEnd
            // 
            this.txt_LengthEnd.FlatMode = true;
            this.txt_LengthEnd.Location = new System.Drawing.Point(506, 77);
            this.txt_LengthEnd.MaskInput = "nnnnn";
            this.txt_LengthEnd.Name = "txt_LengthEnd";
            this.txt_LengthEnd.PromptChar = ' ';
            this.txt_LengthEnd.Size = new System.Drawing.Size(42, 19);
            this.txt_LengthEnd.TabIndex = 84;
            // 
            // ultraLabel4
            // 
            this.ultraLabel4.Location = new System.Drawing.Point(480, 78);
            this.ultraLabel4.Name = "ultraLabel4";
            this.ultraLabel4.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel4.TabIndex = 83;
            this.ultraLabel4.Text = "到";
            // 
            // txt_LenghtBegin
            // 
            this.txt_LenghtBegin.FlatMode = true;
            this.txt_LenghtBegin.Location = new System.Drawing.Point(408, 77);
            this.txt_LenghtBegin.MaskInput = "nnnnn";
            this.txt_LenghtBegin.Name = "txt_LenghtBegin";
            this.txt_LenghtBegin.PromptChar = ' ';
            this.txt_LenghtBegin.Size = new System.Drawing.Size(68, 19);
            this.txt_LenghtBegin.TabIndex = 82;
            // 
            // chk_Length
            // 
            this.chk_Length.BackColor = System.Drawing.Color.Transparent;
            this.chk_Length.FlatMode = true;
            this.chk_Length.Location = new System.Drawing.Point(334, 78);
            this.chk_Length.Name = "chk_Length";
            this.chk_Length.Size = new System.Drawing.Size(74, 16);
            this.chk_Length.TabIndex = 81;
            this.chk_Length.Text = "长度从";
            // 
            // txt_WidthEnd
            // 
            this.txt_WidthEnd.FlatMode = true;
            this.txt_WidthEnd.Location = new System.Drawing.Point(506, 52);
            this.txt_WidthEnd.MaskInput = "nnnn";
            this.txt_WidthEnd.Name = "txt_WidthEnd";
            this.txt_WidthEnd.PromptChar = ' ';
            this.txt_WidthEnd.Size = new System.Drawing.Size(42, 19);
            this.txt_WidthEnd.TabIndex = 80;
            // 
            // ultraLabel5
            // 
            this.ultraLabel5.Location = new System.Drawing.Point(480, 54);
            this.ultraLabel5.Name = "ultraLabel5";
            this.ultraLabel5.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel5.TabIndex = 79;
            this.ultraLabel5.Text = "到";
            // 
            // txt_WidthBegin
            // 
            this.txt_WidthBegin.FlatMode = true;
            this.txt_WidthBegin.Location = new System.Drawing.Point(408, 52);
            this.txt_WidthBegin.MaskInput = "nnnn";
            this.txt_WidthBegin.Name = "txt_WidthBegin";
            this.txt_WidthBegin.NumericType = Infragistics.Win.UltraWinEditors.NumericType.Double;
            this.txt_WidthBegin.PromptChar = ' ';
            this.txt_WidthBegin.Size = new System.Drawing.Size(68, 19);
            this.txt_WidthBegin.TabIndex = 78;
            // 
            // chk_Width
            // 
            this.chk_Width.BackColor = System.Drawing.Color.Transparent;
            this.chk_Width.FlatMode = true;
            this.chk_Width.Location = new System.Drawing.Point(334, 54);
            this.chk_Width.Name = "chk_Width";
            this.chk_Width.Size = new System.Drawing.Size(74, 16);
            this.chk_Width.TabIndex = 77;
            this.chk_Width.Text = "宽度从";
            // 
            // txt_PlyEnd
            // 
            this.txt_PlyEnd.FlatMode = true;
            this.txt_PlyEnd.Location = new System.Drawing.Point(506, 29);
            this.txt_PlyEnd.MaskInput = "nnn.nnn";
            this.txt_PlyEnd.Name = "txt_PlyEnd";
            this.txt_PlyEnd.NumericType = Infragistics.Win.UltraWinEditors.NumericType.Double;
            this.txt_PlyEnd.PromptChar = ' ';
            this.txt_PlyEnd.Size = new System.Drawing.Size(42, 19);
            this.txt_PlyEnd.TabIndex = 76;
            // 
            // ultraLabel6
            // 
            this.ultraLabel6.Location = new System.Drawing.Point(480, 32);
            this.ultraLabel6.Name = "ultraLabel6";
            this.ultraLabel6.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel6.TabIndex = 75;
            this.ultraLabel6.Text = "到";
            // 
            // txt_PlyBegin
            // 
            this.txt_PlyBegin.FlatMode = true;
            this.txt_PlyBegin.Location = new System.Drawing.Point(408, 29);
            this.txt_PlyBegin.MaskInput = "nnn.nnn";
            this.txt_PlyBegin.Name = "txt_PlyBegin";
            this.txt_PlyBegin.NumericType = Infragistics.Win.UltraWinEditors.NumericType.Double;
            this.txt_PlyBegin.PromptChar = ' ';
            this.txt_PlyBegin.Size = new System.Drawing.Size(68, 19);
            this.txt_PlyBegin.TabIndex = 74;
            // 
            // chk_Ply
            // 
            this.chk_Ply.BackColor = System.Drawing.Color.Transparent;
            this.chk_Ply.FlatMode = true;
            this.chk_Ply.Location = new System.Drawing.Point(334, 30);
            this.chk_Ply.Name = "chk_Ply";
            this.chk_Ply.Size = new System.Drawing.Size(74, 16);
            this.chk_Ply.TabIndex = 73;
            this.chk_Ply.Text = "厚度从";
            // 
            // txt_RollNOEnd
            // 
            this.txt_RollNOEnd.AutoSize = true;
            this.txt_RollNOEnd.FlatMode = true;
            this.txt_RollNOEnd.Location = new System.Drawing.Point(658, 171);
            this.txt_RollNOEnd.MaxLength = 5;
            this.txt_RollNOEnd.Name = "txt_RollNOEnd";
            this.txt_RollNOEnd.Size = new System.Drawing.Size(42, 19);
            this.txt_RollNOEnd.TabIndex = 72;
            this.txt_RollNOEnd.Visible = false;
            // 
            // ultraLabel7
            // 
            this.ultraLabel7.Location = new System.Drawing.Point(632, 175);
            this.ultraLabel7.Name = "ultraLabel7";
            this.ultraLabel7.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel7.TabIndex = 71;
            this.ultraLabel7.Text = "到";
            this.ultraLabel7.Visible = false;
            // 
            // txt_RollNOBegin
            // 
            this.txt_RollNOBegin.AutoSize = true;
            this.txt_RollNOBegin.FlatMode = true;
            this.txt_RollNOBegin.Location = new System.Drawing.Point(586, 171);
            this.txt_RollNOBegin.MaxLength = 5;
            this.txt_RollNOBegin.Name = "txt_RollNOBegin";
            this.txt_RollNOBegin.Size = new System.Drawing.Size(42, 19);
            this.txt_RollNOBegin.TabIndex = 70;
            this.txt_RollNOBegin.Visible = false;
            // 
            // txt_RollNOTop
            // 
            this.txt_RollNOTop.AutoSize = true;
            this.txt_RollNOTop.FlatMode = true;
            this.txt_RollNOTop.Location = new System.Drawing.Point(408, 4);
            this.txt_RollNOTop.Name = "txt_RollNOTop";
            this.txt_RollNOTop.Size = new System.Drawing.Size(140, 19);
            this.txt_RollNOTop.TabIndex = 69;
            // 
            // chk_RollNum
            // 
            this.chk_RollNum.BackColor = System.Drawing.Color.Transparent;
            this.chk_RollNum.FlatMode = true;
            this.chk_RollNum.Location = new System.Drawing.Point(334, 6);
            this.chk_RollNum.Name = "chk_RollNum";
            this.chk_RollNum.Size = new System.Drawing.Size(74, 16);
            this.chk_RollNum.TabIndex = 68;
            this.chk_RollNum.Text = "轧编号";
            // 
            // txt_PlanNO
            // 
            this.txt_PlanNO.AutoSize = true;
            this.txt_PlanNO.FlatMode = true;
            this.txt_PlanNO.Location = new System.Drawing.Point(408, 100);
            this.txt_PlanNO.Name = "txt_PlanNO";
            this.txt_PlanNO.Size = new System.Drawing.Size(140, 19);
            this.txt_PlanNO.TabIndex = 86;
            // 
            // chk_PlanNO
            // 
            this.chk_PlanNO.BackColor = System.Drawing.Color.Transparent;
            this.chk_PlanNO.FlatMode = true;
            this.chk_PlanNO.Location = new System.Drawing.Point(334, 102);
            this.chk_PlanNO.Name = "chk_PlanNO";
            this.chk_PlanNO.Size = new System.Drawing.Size(74, 16);
            this.chk_PlanNO.TabIndex = 85;
            this.chk_PlanNO.Text = "计划号";
            // 
            // Chk_VecihleNO
            // 
            this.Chk_VecihleNO.BackColor = System.Drawing.Color.Transparent;
            this.Chk_VecihleNO.FlatMode = true;
            this.Chk_VecihleNO.Location = new System.Drawing.Point(6, 174);
            this.Chk_VecihleNO.Name = "Chk_VecihleNO";
            this.Chk_VecihleNO.Size = new System.Drawing.Size(74, 16);
            this.Chk_VecihleNO.TabIndex = 87;
            this.Chk_VecihleNO.Text = "车牌号";
            // 
            // txt_VecihleNO
            // 
            this.txt_VecihleNO.AutoSize = true;
            this.txt_VecihleNO.FlatMode = true;
            this.txt_VecihleNO.Location = new System.Drawing.Point(80, 173);
            this.txt_VecihleNO.Name = "txt_VecihleNO";
            this.txt_VecihleNO.Size = new System.Drawing.Size(248, 19);
            this.txt_VecihleNO.TabIndex = 88;
            // 
            // Chk_ClassTeam
            // 
            this.Chk_ClassTeam.BackColor = System.Drawing.Color.Transparent;
            this.Chk_ClassTeam.FlatMode = true;
            this.Chk_ClassTeam.Location = new System.Drawing.Point(554, 29);
            this.Chk_ClassTeam.Name = "Chk_ClassTeam";
            this.Chk_ClassTeam.Size = new System.Drawing.Size(74, 16);
            this.Chk_ClassTeam.TabIndex = 92;
            this.Chk_ClassTeam.Text = "发运班组";
            // 
            // Cmb_ClassTeam
            // 
            this.Cmb_ClassTeam.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            appearance1.BackColor = System.Drawing.SystemColors.Window;
            appearance1.BorderColor = System.Drawing.SystemColors.InactiveCaption;
            this.Cmb_ClassTeam.DisplayLayout.Appearance = appearance1;
            this.Cmb_ClassTeam.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            this.Cmb_ClassTeam.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance2.BackColor = System.Drawing.SystemColors.ActiveBorder;
            appearance2.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance2.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
            appearance2.BorderColor = System.Drawing.SystemColors.Window;
            this.Cmb_ClassTeam.DisplayLayout.GroupByBox.Appearance = appearance2;
            appearance3.ForeColor = System.Drawing.SystemColors.GrayText;
            this.Cmb_ClassTeam.DisplayLayout.GroupByBox.BandLabelAppearance = appearance3;
            this.Cmb_ClassTeam.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            appearance4.BackColor = System.Drawing.SystemColors.ControlLightLight;
            appearance4.BackColor2 = System.Drawing.SystemColors.Control;
            appearance4.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance4.ForeColor = System.Drawing.SystemColors.GrayText;
            this.Cmb_ClassTeam.DisplayLayout.GroupByBox.PromptAppearance = appearance4;
            this.Cmb_ClassTeam.DisplayLayout.MaxColScrollRegions = 1;
            this.Cmb_ClassTeam.DisplayLayout.MaxRowScrollRegions = 1;
            appearance5.BackColor = System.Drawing.SystemColors.Window;
            appearance5.ForeColor = System.Drawing.SystemColors.ControlText;
            this.Cmb_ClassTeam.DisplayLayout.Override.ActiveCellAppearance = appearance5;
            appearance6.BackColor = System.Drawing.SystemColors.Highlight;
            appearance6.ForeColor = System.Drawing.SystemColors.HighlightText;
            this.Cmb_ClassTeam.DisplayLayout.Override.ActiveRowAppearance = appearance6;
            this.Cmb_ClassTeam.DisplayLayout.Override.BorderStyleCell = Infragistics.Win.UIElementBorderStyle.Dotted;
            this.Cmb_ClassTeam.DisplayLayout.Override.BorderStyleRow = Infragistics.Win.UIElementBorderStyle.Dotted;
            appearance7.BackColor = System.Drawing.SystemColors.Window;
            this.Cmb_ClassTeam.DisplayLayout.Override.CardAreaAppearance = appearance7;
            appearance8.BorderColor = System.Drawing.Color.Silver;
            appearance8.TextTrimming = Infragistics.Win.TextTrimming.EllipsisCharacter;
            this.Cmb_ClassTeam.DisplayLayout.Override.CellAppearance = appearance8;
            this.Cmb_ClassTeam.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
            this.Cmb_ClassTeam.DisplayLayout.Override.CellPadding = 0;
            appearance9.BackColor = System.Drawing.SystemColors.Control;
            appearance9.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance9.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
            appearance9.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance9.BorderColor = System.Drawing.SystemColors.Window;
            this.Cmb_ClassTeam.DisplayLayout.Override.GroupByRowAppearance = appearance9;
            appearance10.TextHAlign = Infragistics.Win.HAlign.Left;
            this.Cmb_ClassTeam.DisplayLayout.Override.HeaderAppearance = appearance10;
            this.Cmb_ClassTeam.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
            this.Cmb_ClassTeam.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.WindowsXPCommand;
            appearance11.BackColor = System.Drawing.SystemColors.Window;
            appearance11.BorderColor = System.Drawing.Color.Silver;
            this.Cmb_ClassTeam.DisplayLayout.Override.RowAppearance = appearance11;
            this.Cmb_ClassTeam.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
            appearance12.BackColor = System.Drawing.SystemColors.ControlLight;
            this.Cmb_ClassTeam.DisplayLayout.Override.TemplateAddRowAppearance = appearance12;
            this.Cmb_ClassTeam.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
            this.Cmb_ClassTeam.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
            this.Cmb_ClassTeam.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            this.Cmb_ClassTeam.DisplayMember = "";
            this.Cmb_ClassTeam.DropDownStyle = Infragistics.Win.UltraWinGrid.UltraComboStyle.DropDownList;
            this.Cmb_ClassTeam.FlatMode = true;
            this.Cmb_ClassTeam.Location = new System.Drawing.Point(628, 27);
            this.Cmb_ClassTeam.Name = "Cmb_ClassTeam";
            this.Cmb_ClassTeam.Size = new System.Drawing.Size(110, 19);
            this.Cmb_ClassTeam.TabIndex = 93;
            this.Cmb_ClassTeam.ValueMember = "";
            // 
            // Chk_SendMan
            // 
            this.Chk_SendMan.BackColor = System.Drawing.Color.Transparent;
            this.Chk_SendMan.FlatMode = true;
            this.Chk_SendMan.Location = new System.Drawing.Point(554, 53);
            this.Chk_SendMan.Name = "Chk_SendMan";
            this.Chk_SendMan.Size = new System.Drawing.Size(74, 16);
            this.Chk_SendMan.TabIndex = 94;
            this.Chk_SendMan.Text = "发运人";
            // 
            // txt_SendMan
            // 
            this.txt_SendMan.AutoSize = true;
            this.txt_SendMan.FlatMode = true;
            this.txt_SendMan.Location = new System.Drawing.Point(628, 52);
            this.txt_SendMan.Name = "txt_SendMan";
            this.txt_SendMan.Size = new System.Drawing.Size(110, 19);
            this.txt_SendMan.TabIndex = 95;
            // 
            // Chk_SteelName
            // 
            this.Chk_SteelName.BackColor = System.Drawing.Color.Transparent;
            this.Chk_SteelName.FlatMode = true;
            this.Chk_SteelName.Location = new System.Drawing.Point(554, 5);
            this.Chk_SteelName.Name = "Chk_SteelName";
            this.Chk_SteelName.Size = new System.Drawing.Size(74, 16);
            this.Chk_SteelName.TabIndex = 97;
            this.Chk_SteelName.Text = "发运牌号";
            // 
            // Cmb_SteelName
            // 
            this.Cmb_SteelName.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            appearance13.BackColor = System.Drawing.SystemColors.Window;
            appearance13.BorderColor = System.Drawing.SystemColors.InactiveCaption;
            this.Cmb_SteelName.DisplayLayout.Appearance = appearance13;
            this.Cmb_SteelName.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            this.Cmb_SteelName.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance14.BackColor = System.Drawing.SystemColors.ActiveBorder;
            appearance14.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance14.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
            appearance14.BorderColor = System.Drawing.SystemColors.Window;
            this.Cmb_SteelName.DisplayLayout.GroupByBox.Appearance = appearance14;
            appearance15.ForeColor = System.Drawing.SystemColors.GrayText;
            this.Cmb_SteelName.DisplayLayout.GroupByBox.BandLabelAppearance = appearance15;
            this.Cmb_SteelName.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            appearance16.BackColor = System.Drawing.SystemColors.ControlLightLight;
            appearance16.BackColor2 = System.Drawing.SystemColors.Control;
            appearance16.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance16.ForeColor = System.Drawing.SystemColors.GrayText;
            this.Cmb_SteelName.DisplayLayout.GroupByBox.PromptAppearance = appearance16;
            this.Cmb_SteelName.DisplayLayout.MaxColScrollRegions = 1;
            this.Cmb_SteelName.DisplayLayout.MaxRowScrollRegions = 1;
            appearance17.BackColor = System.Drawing.SystemColors.Window;
            appearance17.ForeColor = System.Drawing.SystemColors.ControlText;
            this.Cmb_SteelName.DisplayLayout.Override.ActiveCellAppearance = appearance17;
            appearance18.BackColor = System.Drawing.SystemColors.Highlight;
            appearance18.ForeColor = System.Drawing.SystemColors.HighlightText;
            this.Cmb_SteelName.DisplayLayout.Override.ActiveRowAppearance = appearance18;
            this.Cmb_SteelName.DisplayLayout.Override.BorderStyleCell = Infragistics.Win.UIElementBorderStyle.Dotted;
            this.Cmb_SteelName.DisplayLayout.Override.BorderStyleRow = Infragistics.Win.UIElementBorderStyle.Dotted;
            appearance19.BackColor = System.Drawing.SystemColors.Window;
            this.Cmb_SteelName.DisplayLayout.Override.CardAreaAppearance = appearance19;
            appearance20.BorderColor = System.Drawing.Color.Silver;
            appearance20.TextTrimming = Infragistics.Win.TextTrimming.EllipsisCharacter;
            this.Cmb_SteelName.DisplayLayout.Override.CellAppearance = appearance20;
            this.Cmb_SteelName.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
            this.Cmb_SteelName.DisplayLayout.Override.CellPadding = 0;
            appearance21.BackColor = System.Drawing.SystemColors.Control;
            appearance21.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance21.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
            appearance21.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance21.BorderColor = System.Drawing.SystemColors.Window;
            this.Cmb_SteelName.DisplayLayout.Override.GroupByRowAppearance = appearance21;
            appearance22.TextHAlign = Infragistics.Win.HAlign.Left;
            this.Cmb_SteelName.DisplayLayout.Override.HeaderAppearance = appearance22;
            this.Cmb_SteelName.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
            this.Cmb_SteelName.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.WindowsXPCommand;
            appearance23.BackColor = System.Drawing.SystemColors.Window;
            appearance23.BorderColor = System.Drawing.Color.Silver;
            this.Cmb_SteelName.DisplayLayout.Override.RowAppearance = appearance23;
            this.Cmb_SteelName.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
            appearance24.BackColor = System.Drawing.SystemColors.ControlLight;
            this.Cmb_SteelName.DisplayLayout.Override.TemplateAddRowAppearance = appearance24;
            this.Cmb_SteelName.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
            this.Cmb_SteelName.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
            this.Cmb_SteelName.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            this.Cmb_SteelName.DisplayMember = "";
            this.Cmb_SteelName.FlatMode = true;
            this.Cmb_SteelName.Location = new System.Drawing.Point(628, 4);
            this.Cmb_SteelName.Name = "Cmb_SteelName";
            this.Cmb_SteelName.Size = new System.Drawing.Size(110, 19);
            this.Cmb_SteelName.TabIndex = 98;
            this.Cmb_SteelName.ValueMember = "";
            // 
            // Chk_BookInMan
            // 
            this.Chk_BookInMan.BackColor = System.Drawing.Color.Transparent;
            this.Chk_BookInMan.FlatMode = true;
            this.Chk_BookInMan.Location = new System.Drawing.Point(554, 77);
            this.Chk_BookInMan.Name = "Chk_BookInMan";
            this.Chk_BookInMan.Size = new System.Drawing.Size(74, 16);
            this.Chk_BookInMan.TabIndex = 100;
            this.Chk_BookInMan.Text = "登记人";
            // 
            // txt_BookInMan
            // 
            this.txt_BookInMan.AutoSize = true;
            this.txt_BookInMan.FlatMode = true;
            this.txt_BookInMan.Location = new System.Drawing.Point(628, 75);
            this.txt_BookInMan.Name = "txt_BookInMan";
            this.txt_BookInMan.Size = new System.Drawing.Size(110, 19);
            this.txt_BookInMan.TabIndex = 101;
            // 
            // Chk_Condole
            // 
            this.Chk_Condole.BackColor = System.Drawing.Color.Transparent;
            this.Chk_Condole.FlatMode = true;
            this.Chk_Condole.Location = new System.Drawing.Point(334, 126);
            this.Chk_Condole.Name = "Chk_Condole";
            this.Chk_Condole.Size = new System.Drawing.Size(74, 16);
            this.Chk_Condole.TabIndex = 104;
            this.Chk_Condole.Text = "发运吊号";
            // 
            // Txt_Condole
            // 
            this.Txt_Condole.AutoSize = true;
            this.Txt_Condole.FlatMode = true;
            this.Txt_Condole.Location = new System.Drawing.Point(408, 123);
            this.Txt_Condole.Name = "Txt_Condole";
            this.Txt_Condole.Size = new System.Drawing.Size(140, 19);
            this.Txt_Condole.TabIndex = 105;
            // 
            // chk_PL
            // 
            this.chk_PL.BackColor = System.Drawing.Color.Transparent;
            this.chk_PL.FlatMode = true;
            this.chk_PL.Location = new System.Drawing.Point(188, 107);
            this.chk_PL.Name = "chk_PL";
            this.chk_PL.Size = new System.Drawing.Size(46, 16);
            this.chk_PL.TabIndex = 108;
            this.chk_PL.Text = "产线";
            // 
            // cmb_ProductLine
            // 
            this.cmb_ProductLine.AutoSize = true;
            this.cmb_ProductLine.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
            valueListItem1.DataValue = "4001HB1";
            valueListItem1.DisplayText = "厚板线";
            valueListItem2.DataValue = "4001ZB1";
            valueListItem2.DisplayText = "中板线";
            this.cmb_ProductLine.Items.Add(valueListItem1);
            this.cmb_ProductLine.Items.Add(valueListItem2);
            this.cmb_ProductLine.Location = new System.Drawing.Point(236, 103);
            this.cmb_ProductLine.Name = "cmb_ProductLine";
            this.cmb_ProductLine.Size = new System.Drawing.Size(92, 21);
            this.cmb_ProductLine.TabIndex = 143;
            this.cmb_ProductLine.TabStop = false;
            // 
            // Date_XCSJE
            // 
            this.Date_XCSJE.FlatMode = true;
            this.Date_XCSJE.Location = new System.Drawing.Point(214, 53);
            this.Date_XCSJE.MaskInput = "{date}";
            this.Date_XCSJE.Name = "Date_XCSJE";
            this.Date_XCSJE.Size = new System.Drawing.Size(114, 19);
            this.Date_XCSJE.TabIndex = 149;
            // 
            // ultraLabel8
            // 
            this.ultraLabel8.BackColor = System.Drawing.Color.Transparent;
            this.ultraLabel8.Location = new System.Drawing.Point(196, 56);
            this.ultraLabel8.Name = "ultraLabel8";
            this.ultraLabel8.Size = new System.Drawing.Size(16, 16);
            this.ultraLabel8.TabIndex = 148;
            this.ultraLabel8.Text = "到";
            // 
            // Date_XCSJS
            // 
            this.Date_XCSJS.FlatMode = true;
            this.Date_XCSJS.Location = new System.Drawing.Point(80, 53);
            this.Date_XCSJS.MaskInput = "{date}";
            this.Date_XCSJS.Name = "Date_XCSJS";
            this.Date_XCSJS.Size = new System.Drawing.Size(114, 19);
            this.Date_XCSJS.TabIndex = 147;
            // 
            // chk_XCSJ
            // 
            this.chk_XCSJ.BackColor = System.Drawing.Color.Transparent;
            this.chk_XCSJ.FlatMode = true;
            this.chk_XCSJ.Location = new System.Drawing.Point(6, 54);
            this.chk_XCSJ.Name = "chk_XCSJ";
            this.chk_XCSJ.Size = new System.Drawing.Size(74, 16);
            this.chk_XCSJ.TabIndex = 146;
            this.chk_XCSJ.Text = "下车日期";
            // 
            // UCSendQuery
            // 
            this.Controls.Add(this.Date_XCSJE);
            this.Controls.Add(this.ultraLabel8);
            this.Controls.Add(this.Date_XCSJS);
            this.Controls.Add(this.chk_XCSJ);
            this.Controls.Add(this.cmb_ProductLine);
            this.Controls.Add(this.chk_PL);
            this.Controls.Add(this.Txt_Condole);
            this.Controls.Add(this.Chk_Condole);
            this.Controls.Add(this.txt_BookInMan);
            this.Controls.Add(this.Chk_BookInMan);
            this.Controls.Add(this.Cmb_SteelName);
            this.Controls.Add(this.Chk_SteelName);
            this.Controls.Add(this.txt_SendMan);
            this.Controls.Add(this.Chk_SendMan);
            this.Controls.Add(this.Cmb_ClassTeam);
            this.Controls.Add(this.Chk_ClassTeam);
            this.Controls.Add(this.txt_VecihleNO);
            this.Controls.Add(this.Chk_VecihleNO);
            this.Controls.Add(this.txt_PlanNO);
            this.Controls.Add(this.chk_PlanNO);
            this.Controls.Add(this.txt_LengthEnd);
            this.Controls.Add(this.ultraLabel4);
            this.Controls.Add(this.txt_LenghtBegin);
            this.Controls.Add(this.chk_Length);
            this.Controls.Add(this.txt_WidthEnd);
            this.Controls.Add(this.ultraLabel5);
            this.Controls.Add(this.txt_WidthBegin);
            this.Controls.Add(this.chk_Width);
            this.Controls.Add(this.txt_PlyEnd);
            this.Controls.Add(this.ultraLabel6);
            this.Controls.Add(this.txt_PlyBegin);
            this.Controls.Add(this.chk_Ply);
            this.Controls.Add(this.txt_RollNOEnd);
            this.Controls.Add(this.ultraLabel7);
            this.Controls.Add(this.txt_RollNOBegin);
            this.Controls.Add(this.txt_RollNOTop);
            this.Controls.Add(this.chk_RollNum);
            this.Controls.Add(this.txt_PactNO);
            this.Controls.Add(this.Chk_PactNO);
            this.Controls.Add(this.txt_StationName);
            this.Controls.Add(this.Chk_StationName);
            this.Controls.Add(this.txt_IncpName);
            this.Controls.Add(this.Chk_IncpName);
            this.Controls.Add(this.txt_ListCodingEnd);
            this.Controls.Add(this.ultraLabel3);
            this.Controls.Add(this.txt_ListCodingBegin);
            this.Controls.Add(this.txt_ListCodingTop);
            this.Controls.Add(this.Chk_ListCode);
            this.Controls.Add(this.Dte_BookInEnd);
            this.Controls.Add(this.ultraLabel2);
            this.Controls.Add(this.Dte_BookInBegin);
            this.Controls.Add(this.Chk_BookInDate);
            this.Controls.Add(this.Dte_SendEnd);
            this.Controls.Add(this.ultraLabel1);
            this.Controls.Add(this.Dte_SendBegin);
            this.Controls.Add(this.Chk_SendDate);
            this.Name = "UCSendQuery";
            this.Size = new System.Drawing.Size(748, 211);
            ((System.ComponentModel.ISupportInitialize)(this.Dte_SendBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_SendEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_BookInEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_BookInBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ListCodingEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ListCodingBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ListCodingTop)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_IncpName)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_StationName)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PactNO)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LengthEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LenghtBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNOEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNOBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNOTop)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_VecihleNO)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Cmb_ClassTeam)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_SendMan)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Cmb_SteelName)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_BookInMan)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Txt_Condole)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_ProductLine)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Date_XCSJE)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Date_XCSJS)).EndInit();
            this.ResumeLayout(false);

		}
		#endregion

		#region "Preporty"
		private System.Data.DataSet _MyDataSet = null;
		public System.Data.DataSet MyDataSet
		{
			set
			{
				_MyDataSet = value;
				StorageBaseClass.Init_ComboControl(this.Cmb_SteelName,"XT_PH|PHMC|PHMC",ref this._MyDataSet);
				StorageBaseClass.Init_ComboControl(this.Cmb_ClassTeam,"XT_BZ|ID_|NAME_",ref this._MyDataSet);
			
				
			}
		}
		private string _WhereStr = "";
		public string WhereStr
		{
			get
			{
				_WhereStr = GetSteelCondition();
				_WhereStr = _WhereStr + GetPactNOCondition();
				_WhereStr = _WhereStr + GetSendDateCondition();
				_WhereStr = _WhereStr + GetBookInDateCondition();
				_WhereStr = _WhereStr + GetListCondingCondition();
				_WhereStr = _WhereStr + GetIncpNameCondition();
				_WhereStr = _WhereStr + GetStationNameCondition();
				_WhereStr = _WhereStr + GetRollNOCondition();
				_WhereStr = _WhereStr + GetPlyCondition();
                _WhereStr = _WhereStr + GetXCDateCondition();
				_WhereStr = _WhereStr + GetWidthCondition();
				_WhereStr = _WhereStr + GetLengthCondition();
				_WhereStr = _WhereStr + GetPlanNOCondition();
				_WhereStr = _WhereStr + GetVecihleNOCondition();
				_WhereStr = _WhereStr + GetClassTeamCondition();
				_WhereStr = _WhereStr + GetSendManCondition();
				
			
				_WhereStr = _WhereStr + GetCondole();
				_WhereStr = _WhereStr + GetBookInManCondition();
			
				_WhereStr = _WhereStr + GetPLCondition();

				return _WhereStr;
			}
		}
		#endregion

		#region "Method"
	

		//产线
		private string GetPLCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.chk_PL.Checked && this.cmb_ProductLine.Text.Trim().Length>0)
				{
					rtnStr = " AND B.PRODLINECODE='"+this.cmb_ProductLine.Value.ToString()+"' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}

		//牌号
		private string GetSteelCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_SteelName.Checked && this.Cmb_SteelName.Text.Trim().Length>0)
				{
					rtnStr = " AND A.STEELTYPE='"+this.Cmb_SteelName.Text.Trim()+"' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//合同号B
		private string GetPactNOCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_PactNO.Checked && this.txt_PactNO.Text.Trim().Length>0)
				{
					rtnStr = " AND B.PACTNO LIKE '%"+this.txt_PactNO.Text.Trim()+"%' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//发运日期A
		private string GetSendDateCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_SendDate.Checked && this.Dte_SendBegin.Value!=null)
				{
					rtnStr = " AND TO_CHAR(A.PICKSTORAGETIME,'YY-MM-DD')>='"+Convert.ToDateTime(this.Dte_SendBegin.Value).ToString("yy-MM-dd")+"' "
						+" AND TO_CHAR(A.PICKSTORAGETIME,'YY-MM-DD')<='"+Convert.ToDateTime(this.Dte_SendEnd.Value).ToString("yy-MM-dd")+"' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//登记日期A
		private string GetBookInDateCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_BookInDate.Checked && this.Dte_BookInBegin.Value!=null)
				{
					rtnStr = " AND TO_CHAR(A.CREATTIME,'YY-MM-DD')>='"+Convert.ToDateTime(this.Dte_BookInBegin.Value).ToString("yy-MM-dd")+"' "
						+" AND TO_CHAR(A.CREATTIME,'YY-MM-DD')<='"+Convert.ToDateTime(this.Dte_BookInEnd.Value).ToString("yy-MM-dd")+"' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
        //下车时间A
        private string GetXCDateCondition()
        {
            try
            {
                string rtnStr = "";
                if (this.chk_XCSJ.Checked && this.Date_XCSJS.Value != null)
                {
                    rtnStr = " AND SUBSTR(A.PLANVEHICLEID,3,6) >='" + Convert.ToDateTime(this.Date_XCSJS.Value).ToString("yyMMdd") + "' "
                        + " AND SUBSTR(A.PLANVEHICLEID,3,6) <='" + Convert.ToDateTime(this.Date_XCSJE.Value).ToString("yyMMdd") + "' ";
                }
                return rtnStr;
            }
            catch (System.Exception ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.ToString());
                return "";
            }
        }
		//发运明细A
		private string GetListCondingCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_ListCode.Checked)
				{
					
					rtnStr = " AND SUBSTR(A.LISTNUMBER,1,"+StorageBaseClass.CheckNullStr(this.txt_ListCodingTop.Text.Trim().Length)+")='"+this.txt_ListCodingTop.Text.Trim()+"' ";
					if(this.txt_ListCodingTop.Text.Trim().Length == 3)
					{
						if(this.txt_ListCodingBegin.Text.Trim().Length>0 && this.txt_ListCodingEnd.Text.Trim().Length == 0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,5,5)='"+this.txt_ListCodingBegin.Text.Trim()+"' ";
						}
						if(this.txt_ListCodingBegin.Text.Trim().Length == 0 && this.txt_ListCodingEnd.Text.Trim().Length>0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,5,5)<='"+this.txt_ListCodingEnd.Text.Trim()+"' ";
						}
						if(this.txt_ListCodingBegin.Text.Trim().Length>0 && this.txt_ListCodingEnd.Text.Trim().Length>0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,5,5)>='"+this.txt_ListCodingBegin.Text.Trim()+"' "
								+ " AND SUBSTR(A.LISTNUMBER,5,5)<='"+this.txt_ListCodingEnd.Text.Trim()+"' ";
						}
					}

					if(this.txt_ListCodingTop.Text.Trim().Length == 2)
					{
						if(this.txt_ListCodingBegin.Text.Trim().Length>0 && this.txt_ListCodingEnd.Text.Trim().Length == 0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,4,5)='"+this.txt_ListCodingBegin.Text.Trim()+"' ";
						}
						if(this.txt_ListCodingBegin.Text.Trim().Length == 0 && this.txt_ListCodingEnd.Text.Trim().Length>0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,4,5)<='"+this.txt_ListCodingEnd.Text.Trim()+"' ";
						}
						if(this.txt_ListCodingBegin.Text.Trim().Length>0 && this.txt_ListCodingEnd.Text.Trim().Length>0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,4,5)>='"+this.txt_ListCodingBegin.Text.Trim()+"' "
								+ " AND SUBSTR(A.LISTNUMBER,4,5)<='"+this.txt_ListCodingEnd.Text.Trim()+"' ";
						}
					}

				}
                if(this.txt_ListCodingTop.Text.Trim().Length == 4)
					{
						if(this.txt_ListCodingBegin.Text.Trim().Length>0 && this.txt_ListCodingEnd.Text.Trim().Length == 0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,6,5)='"+this.txt_ListCodingBegin.Text.Trim()+"' ";
						}
						if(this.txt_ListCodingBegin.Text.Trim().Length == 0 && this.txt_ListCodingEnd.Text.Trim().Length>0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,6,5)<='"+this.txt_ListCodingEnd.Text.Trim()+"' ";
						}
						if(this.txt_ListCodingBegin.Text.Trim().Length>0 && this.txt_ListCodingEnd.Text.Trim().Length>0)
						{
							rtnStr = rtnStr + " AND SUBSTR(A.LISTNUMBER,6,5)>='"+this.txt_ListCodingBegin.Text.Trim()+"' "
								+ " AND SUBSTR(A.LISTNUMBER,6,5)<='"+this.txt_ListCodingEnd.Text.Trim()+"' ";
						}
					}

				
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//收货单位C
		private string GetIncpNameCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_IncpName.Checked && this.txt_IncpName.Text.Trim().Length>0)
				{
					rtnStr = " AND C.INCEPTCORPNAME LIKE '%"+this.txt_IncpName.Text.Trim()+"%' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//到站D
		private string GetStationNameCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_StationName.Checked && this.txt_StationName.Text.Trim().Length>0)
				{
					rtnStr = " AND D.STATIONNAME LIKE '%"+this.txt_StationName.Text.Trim()+"%' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//轧编号
		private string GetRollNOCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.chk_RollNum.Checked)
				{
                    //rtnStr = " AND SUBSTR(A.ROLLNO,1,INSTR(A.ROLLNO,'-')-1)='"+this.txt_RollNOTop.Text.Trim()+"' ";
                    //if(this.txt_RollNOBegin.Text.Trim().Length>0 && this.txt_RollNOEnd.Text.Trim().Length==0)
                    //{
                    //    rtnStr = rtnStr + " AND SUBSTR(A.ROLLNO,INSTR(A.ROLLNO,'-')+1,5)='"+this.txt_RollNOBegin.Text.Trim()+"' ";
                    //}
                    //if(this.txt_RollNOBegin.Text.Trim().Length==0 && this.txt_RollNOEnd.Text.Trim().Length>0)
                    //{
                    //    rtnStr = rtnStr + " AND SUBSTR(A.ROLLNO,INSTR(A.ROLLNO,'-')+1,5)<='"+this.txt_RollNOEnd.Text.Trim()+"' ";
                    //}
                    //if(this.txt_RollNOBegin.Text.Trim().Length>0 && this.txt_RollNOEnd.Text.Trim().Length>0)
                    //{
                    //    rtnStr = rtnStr + " AND SUBSTR(A.ROLLNO,INSTR(A.ROLLNO,'-')+1,5)>='"+this.txt_RollNOBegin.Text.Trim()+"' "
                    //        + " AND SUBSTR(A.ROLLNO,INSTR(A.ROLLNO,'-')+1,5)<='"+this.txt_RollNOEnd.Text.Trim()+"' ";
                    //}
                    rtnStr = " AND A.SERIALNUMBER LIKE '" + this.txt_RollNOTop.Text.Trim() + "%'";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//厚度
		private string GetPlyCondition()
		{
			try
			{
				if(this.chk_Ply.Checked)
				{
					string rtnStr = "";
					if(StorageBaseClass.CheckDecimal(this.txt_PlyBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_PlyEnd.Value)==0)
					{
						rtnStr = " AND A.PLY="+StorageBaseClass.CheckNullStr(this.txt_PlyBegin.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_PlyBegin.Value)==0 && StorageBaseClass.CheckDecimal(this.txt_PlyEnd.Value)>0)
					{
						rtnStr = " AND A.PLY<="+StorageBaseClass.CheckNullStr(this.txt_PlyEnd.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_PlyBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_PlyEnd.Value)>0)
					{
						rtnStr = " AND A.PLY>="+StorageBaseClass.CheckNullStr(this.txt_PlyBegin.Value)
							+" AND A.PLY<="+StorageBaseClass.CheckNullStr(this.txt_PlyEnd.Value);
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//宽度
		private string GetWidthCondition()
		{
			try
			{
				if(this.chk_Width.Checked)
				{
					string rtnStr = "";
					if(StorageBaseClass.CheckDecimal(this.txt_WidthBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_WidthEnd.Value)==0)
					{
						rtnStr = " AND A.WIDTH="+StorageBaseClass.CheckNullStr(this.txt_WidthBegin.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_WidthBegin.Value)==0 && StorageBaseClass.CheckDecimal(this.txt_WidthEnd.Value)>0)
					{
						rtnStr = " AND A.WIDTH<="+StorageBaseClass.CheckNullStr(this.txt_WidthEnd.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_WidthBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_WidthEnd.Value)>0)
					{
						rtnStr = " AND A.WIDTH>="+StorageBaseClass.CheckNullStr(this.txt_WidthBegin.Value)
							+" AND A.WIDTH<="+StorageBaseClass.CheckNullStr(this.txt_WidthEnd.Value);
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//长度
		private string GetLengthCondition()
		{
			try
			{
				if(this.chk_Length.Checked)
				{
					string rtnStr = "";
					if(StorageBaseClass.CheckDecimal(this.txt_LenghtBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_LengthEnd.Value)==0)
					{
						rtnStr = " AND A.LENGTH="+StorageBaseClass.CheckNullStr(this.txt_LenghtBegin.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_LenghtBegin.Value)==0 && StorageBaseClass.CheckDecimal(this.txt_LengthEnd.Value)>0)
					{
						rtnStr = " AND A.LENGTH<="+StorageBaseClass.CheckNullStr(this.txt_LengthEnd.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_LenghtBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_LengthEnd.Value)>0)
					{
						rtnStr = " AND A.LENGTH>="+StorageBaseClass.CheckNullStr(this.txt_LenghtBegin.Value)
							+" AND A.LENGTH<="+StorageBaseClass.CheckNullStr(this.txt_LengthEnd.Value);
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//计划号
		private string GetPlanNOCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.chk_PlanNO.Checked && this.txt_PlanNO.Text.Trim().Length>0)
				{
					rtnStr = " AND A.PLANNO LIKE '%"+this.txt_PlanNO.Text.Trim()+"%' "; 
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//车牌号
		private string GetVecihleNOCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_VecihleNO.Checked && this.txt_VecihleNO.Text.Trim().Length>0)
				{
					rtnStr = " AND A.TRAINWAGON LIKE '%"+this.txt_VecihleNO.Text.Trim()+"%' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//班组
		private string GetClassTeamCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_ClassTeam.Checked && StorageBaseClass.CheckNullStr(this.Cmb_ClassTeam.Value).Length>0)
				{
					rtnStr = " AND A.CLASSTEAM='"+StorageBaseClass.CheckNullStr(this.Cmb_ClassTeam.Value)+"' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//发运人
		private string GetSendManCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_SendMan.Checked && this.txt_SendMan.Text.Trim().Length>0)
				{
					rtnStr = " AND A.PICKSTORAGEMAN='"+this.txt_SendMan.Text.Trim()+"' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//发运明细的登记人
		private string GetBookInManCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_BookInMan.Checked && this.txt_BookInMan.Text.Trim().Length>0)
				{
					rtnStr = " AND A.CREATOR='"+this.txt_BookInMan.Text.Trim()+"' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
	
		//获得发运吊号的条件
		private string GetCondole()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_Condole.Checked && this.Txt_Condole.Text.Length>0)
				{
					rtnStr = " AND A.CONDOLENUMBER LIKE '%" + this.Txt_Condole.Text + "%' ";
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
    
	
		#endregion

        private void chk_Filter_CheckedChanged(object sender, EventArgs e)
        {

        }

	}
}
